global function Phasedash_Settings_Init
#if SERVER
global function stuck
#endif

void function Phasedash_Settings_Init() {
    #if SERVER
    AddClientCommandCallback("!stuck",stuckfunc)
	AddClientCommandCallback("!spawntest",createindicatorfunc)
    PrecacheModel( $"models/fx/core_energy.mdl")
    #endif

    AddPrivateMatchModeSettingEnum("#MODE_SETTING_CATEGORY_PhaseBoost", "#Enable_Phase_Rewind", ["#SETTING_DISABLED", "#SETTING_ENABLED"], "1")
    AddPrivateMatchModeSettingEnum("#MODE_SETTING_CATEGORY_PhaseBoost", "#Boost_Strength", ["#SETTING_Normal", "#SETTING_Boosted", "#SETTING_Extreme"], "0")
    AddPrivateMatchModeSettingArbitrary("#MODE_SETTING_CATEGORY_PhaseBoost", "#Boost_Cooldown", "5" )

}

#if SERVER
void function stuck (entity player) {
	entity mover = CreateOwnedScriptMover (player)
	player.SetParent(mover)
	vector pos = player.GetOrigin()
	mover.NonPhysicsMoveTo (<pos.x,pos.y,pos.z + 100>, 0.1,0,0)
	wait 0.3;
	player.SetVelocity(<0,0,0>)
	player.ClearParent()
	mover.Destroy()
}


bool function createindicatorfunc (entity player , array<string> args) {thread createindicator(player.GetOrigin());return true}
bool function stuckfunc (entity player , array<string> args) {thread stuck(player);return true;}
#endif




